Subject: [IETFMIBS] MIB Doctor for draft-ietf-isms-dtls-tm

From: Sean Turner <[email-masked]>
Date: Thu, 08 Apr 2010 15:18:53 -0500

Wes Hardaker, who's the author of draft-ietf-isms-dtls-tm, is trying to 
see if there's been a MIB Doctor assigned to review 
http://tools.ietf.org/html/draft-ietf-isms-dtls-tm-09 and if there's 
been any comments on the ID.  If one has not been assigned, is sending 
an email to this list the right place to ask for one to be assigned?

Thanks,

spt

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 12 Apr 2010 16:41:26 +0200

Sean,

Actually the right place would be my mail address or the MIB Doctors
list, which is however close being limited to the members of the MIB
Doctors team. 

I would say that with Wes as an author, and Juergen as a document
shepherd there is little need for an assignment of a MIB Doctor for this
document. However, as the document is in Last Call MIB Doctors and
IETFMIBS list subscribers are welcome to read and comment. 

Dan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Sean Turner
> Sent: Thursday, April 08, 2010 11:19 PM
> To: [email-masked]
> Subject: [IETFMIBS] MIB Doctor for draft-ietf-isms-dtls-tm
> 
> Wes Hardaker, who's the author of draft-ietf-isms-dtls-tm, is 
> trying to see if there's been a MIB Doctor assigned to review
> http://tools.ietf.org/html/draft-ietf-isms-dtls-tm-09 and if 
> there's been any comments on the ID.  If one has not been 
> assigned, is sending an email to this list the right place to 
> ask for one to be assigned?
> 
> Thanks,
> 
> spt
> _______________________________________________
> IETFMIBS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietfmibs
>

---

From: Wes Hardaker <[email-masked]>
Date: Mon, 12 Apr 2010 07:49:54 -0700

>>>>> On Mon, 12 Apr 2010 16:41:26 +0200, "Romascanu, Dan (Dan)" <[email-masked]> said:

DR> However, as the document is in Last Call MIB Doctors and IETFMIBS
DR> list subscribers are welcome to read and comment.

Actually, the document is beyond last call at this point.
-- 
Wes Hardaker                                     
My Pictures:  http://capturedonearth.com/
My Thoughts:  http://pontifications.hardakers.net/

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 13 Apr 2010 12:09:58 +0200

> IETFMIBS list subscribers are welcome to read and comment. 

I believe the MIB is structurally sound, although it never hurts to
have someone who did not follow the evolution too closely take an
independent look. We just realized while reviewing IANA actions that
the naming was not consistent with other published modules - such
things happen, regardless how much experience authors have.

Anyway, I guess we are fine if you can take a quick look at it when
the document hits the IESG telechat.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "Bert Wijnen \(IETF\)" <[email-masked]>
Date: Tue, 13 Apr 2010 22:35:44 +0200

I agree that the MIB module is structurally sound.
I did a check anyway as suggested by Juergen. 
I had not followed this MIB work closely.
Here are my findings

--- SMICng cghecking

successfull parsing. Great!

----- more or less serious (maybe?):

- tlstmParamsCount OBJECT-TYPE
    SYNTAX      Unsigned32
    MAX-ACCESS  read-only
    STATUS      current
    DESCRIPTION
        "A count of the number of entries in the tlstmParamsTable"
    ::= { tlstmCertificateMapping 4 }

  Is this an object for which the value can go up and down when connections come and go?
  If so, is it then not better to use a SYNTAX of Gaug32 ??

- same for object tlstmAddrCount and maybe for some other Counts as well?

----- nits

- I see (page 31):                     Co-editors:
  while there is only 1 editor!?

- I personally thought that on page 32:

        This version of this MIB module is part of RFC XXXX;
        see the RFC itself for full legal notices."

     -- NOTE to RFC editor: replace XXXX with actual RFC number
     --                     for this document and remove this note

       REVISION     "201003060000Z"
       DESCRIPTION  "The initial version, published in RFC XXXX."
    -- NOTE to RFC editor: replace XXXX with actual RFC number
    --                     for this document and remove this note
    ::= { snmpModules xxxx }

  Probably should all just be in the REVISION DESCRIPTION clause and not in the
  MODULE DESCRIPTION clause. But I can live with it.
  However, if a future revision does ever come outm then the DESCRIPTION clause
  will have to be updated also.

Bert
  ----- Original Message ----- 
  From: Juergen Schoenwaelder 
  To: Romascanu, Dan (Dan) 
  Cc: MIB Doctors (E-mail) ; Sean Turner ; [email-masked] 
  Sent: Tuesday, April 13, 2010 12:09 PM
  Subject: Re: [MIB-DOCTORS] [IETFMIBS] MIB Doctor for draft-ietf-isms-dtls-tm

  /js

  MIB-DOCTORS mailing list
  [email-masked]
  https://www.ietf.org/mailman/listinfo/mib-doctors

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 15 Apr 2010 08:52:54 +0200

On Tue, Apr 13, 2010 at 10:35:44PM +0200, Bert Wijnen (IETF) wrote:
 
>   Probably should all just be in the REVISION DESCRIPTION clause and
>   not in the MODULE DESCRIPTION clause. But I can live with it.
>   However, if a future revision does ever come outm then the
>   DESCRIPTION clause will have to be updated also.

I don't really care but before we establish a new practice, I like to
point out that in other MIB modules we did exactly what Wes did. See
also RFC 4181 sections 3.7 and 4.5.

/js

---

From: Wes Hardaker <[email-masked]>
Date: Wed, 14 Apr 2010 08:30:40 -0700

>>>>> On Tue, 13 Apr 2010 22:35:44 +0200, "Bert Wijnen (IETF)" <[email-masked]> said:

BW> I agree that the MIB module is structurally sound.
BW> I did a check anyway as suggested by Juergen. 
BW> I had not followed this MIB work closely.
BW> Here are my findings

Thanks Bert; I'll address them in the next version I hope to publish
later today.
-- 
Wes Hardaker                                     
My Pictures:  http://capturedonearth.com/
My Thoughts:  http://pontifications.hardakers.net/

---

From: Wes Hardaker <[email-masked]>
Date: Wed, 14 Apr 2010 14:02:55 -0700

Bert,

I've addressed them all in the document as discussed in my responses
below.  Thanks again for the review and please let me know if you want
to discuss any of the items further!

My responses are prefixed below with "WH:" if you want to search for
them.  The status of each item is as follows:

  DONE:     Suggestion was acted on
  WONTDO:   Nothing was done; refer to the WH: response for reasons why
  DISCUSS:  There is an outstanding question back to you
  ANSWERED: A question was answered but had no action resulting from it

Comments and responses:

1 --- SMICng cghecking 
~~~~~~~~~~~~~~~~~~~~~~~

        + Bert: successfull parsing. Great!

        + WH: Thanks for checking; I've only been checking smilint

2 DONE ----- more or less serious (maybe?): 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        + Bert: Is this an object for which the value can go up and
          down when connections come and go? If so, is it then not
          better to use a SYNTAX of Gaug32 ??

        + WH: That's fine by me.  I was using the Unsigned32 from an
          example somewhere else (that I don't remember) and looking
          through a number of MIBs that do similar things I see usages
          of both.  I'll switch them to Gaug32.

3 DONE same for object tlstmAddrCount and maybe for some other 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        Counts as well?

4 DONE I see (page 31):                     Co-editors: 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        + Bert: while there is only 1 editor!?

        + WH: Good point

5 DONE I personally thought that on page 32: 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

                 REVISION     "201003060000Z"

          + Bert: Probably should all just be in the REVISION DESCRIPTION
            clause and not in the MODULE DESCRIPTION clause. But I can
            live with it.  However, if a future revision does ever
            come outm then the DESCRIPTION clause will have to be
            updated also.

          + WH: Fair point; I've changed it to:

                   REVISION     "MIBDATE0000Z"
                   DESCRIPTION  "This version of this MIB module is part of
                                 RFC XXXX; see the RFC itself for full legal
                                 notices."

            -- NOTE to RFC editor: replace XXXX with actual RFC number 
            --                     for this document and change the date to the
            --                     current date and remove this note
-- 
Wes Hardaker                                     
My Pictures:  http://capturedonearth.com/
My Thoughts:  http://pontifications.hardakers.net/

---

From: "Bert Wijnen \(IETF\)" <[email-masked]>
Date: Wed, 14 Apr 2010 23:58:22 +0200

Thanks Wes, the changes do address my comments.

Bert
  ----- Original Message ----- 
  From: Wes Hardaker 
  To: Bert Wijnen (IETF) 
  Cc: Juergen Schoenwaelder ; Romascanu, Dan (Dan) ; MIB Doctors (E-mail) ; Sean Turner ; [email-masked] 
  Sent: Wednesday, April 14, 2010 11:02 PM
  Subject: Re: [IETFMIBS] [MIB-DOCTORS] MIB Doctor for draft-ietf-isms-dtls-tm

  Bert,

  Comments and responses:

  1 --- SMICng cghecking 
  ~~~~~~~~~~~~~~~~~~~~~~~

          + WH: Good point

                   REVISION     "201003060000Z"

                     REVISION     "MIBDATE0000Z"

---

From: Wes Hardaker <[email-masked]>
Date: Wed, 14 Apr 2010 15:13:36 -0700

>>>>> On Wed, 14 Apr 2010 23:58:22 +0200, "Bert Wijnen (IETF)" <[email-masked]> said:

BW> Thanks Wes, the changes do address my comments.

Great; I'll consider them closed on my end then.
-- 
Wes Hardaker                                     
My Pictures:  http://capturedonearth.com/
My Thoughts:  http://pontifications.hardakers.net/

---

From: David Reid <[email-masked]>
Date: Fri, 16 Apr 2010 09:16:59 -0400

> independent look. 

We are currently implementing draft-ietf-isms-dtls-tm. I did not follow the 
evolution too closely, but am now implementing the MIB. So far, everything 
in the MIB looks good and we have not run into any problems while implementing 
it.

-David Reid
 SNMP Research

---

From: "Bert Wijnen \(IETF\)" <[email-masked]>
Date: Thu, 15 Apr 2010 22:37:54 +0200

Juergen is right. I stand corrected. Sorry for my mumbling.

Bert
  ----- Original Message ----- 
  From: Juergen Schoenwaelder 
  To: Bert Wijnen (IETF) 
  Cc: Romascanu, Dan (Dan) ; MIB Doctors (E-mail) ; Sean Turner ; [email-masked] 
  Sent: Thursday, April 15, 2010 8:52 AM
  Subject: Re: [MIB-DOCTORS] [IETFMIBS] MIB Doctor for draft-ietf-isms-dtls-tm

  /js

---

From: Wes Hardaker <[email-masked]>
Date: Fri, 16 Apr 2010 10:40:11 -0700

>>>>> On Thu, 15 Apr 2010 22:37:54 +0200, "Bert Wijnen (IETF)" <[email-masked]> said:

BW> Juergen is right. I stand corrected. Sorry for my mumbling.

So that sounds like two votes to "put it back the way it was"?
-- 
Wes Hardaker                                     
My Pictures:  http://capturedonearth.com/
My Thoughts:  http://pontifications.hardakers.net/